unit MyItem;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Menus;

type

{ TMenuItem }

TMenuItem = class(Menus.TMenuItem)
   private
     FOnMouseEnter: TNotifyEvent;
   protected
   public
     procedure IntfDoSelect; override; // Beim Selektieren eines Menüitems
     property OnMouseEnter: TNotifyEvent read FOnMouseEnter write FOnMouseEnter;
  end;

implementation

{ TMenuItem }

procedure TMenuItem.IntfDoSelect;
begin
 inherited IntfDoSelect;
 if Assigned(FOnMouseEnter) then FOnMouseEnter(self);
end;

end.

