unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Menus,
  ComCtrls, StdCtrls ,LCLIntf ,LCLType, ExtCtrls, MyItem;

type

  { TForm1 }
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Edit1: TEdit;
    Label2: TLabel;
    MainMenu1: TMainMenu;
    Memo1: TMemo;
    MenuItem1: TMenuItem;
    MenuItem10: TMenuItem;
    MenuItem11: TMenuItem;
    MenuItem12: TMenuItem;
    MenuItem13: TMenuItem;
    MenuItem14: TMenuItem;
    MenuItem15: TMenuItem;
    MenuItem16: TMenuItem;
    MenuItem17: TMenuItem;
    MenuItem18: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    MenuItem7: TMenuItem;
    MenuItem8: TMenuItem;
    MenuItem9: TMenuItem;
    PopupMenu1: TPopupMenu;
    procedure ComponentsMouseEnter(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation

uses TypInfo;

{$R *.lfm}

procedure GrabEvents(AForm: TForm; AnEventName: string; AnEvent: TMethod);
var i: Integer;
begin
  with AForm do
    for i:=0 to pred(ComponentCount) do
      if Assigned(GetPropInfo(Components[i],AnEventName)) then
        SetMethodProp(Components[i],AnEventName,AnEvent)
end;

procedure GrabMouseEnterEvents(AForm: TForm; AnEvent: TNotifyEvent);
var i: Integer;
begin
  with AForm do
    for i:=0 to pred(ComponentCount) do
      if Assigned(GetPropInfo(Components[i],'OnMouseEnter')) then
        SetMethodProp(Components[i],'OnMouseEnter',TMethod(AnEvent))
      else if (Components[i] is TMenuItem) then
        TMenuItem(Components[i]).OnMouseEnter := AnEvent;
end;

{ TForm1 }

procedure TForm1.ComponentsMouseEnter(Sender: TObject);
begin
  if (Sender is TComponent) then
    Memo1.Lines.Add(TComponent(Sender).Name);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 // leider keine RTTI, daher dann zweite Variante
 if Assigned(GetPropInfo(MenuItem12,'OnMouseEnter')) then
   GrabEvents(self,'OnMouseEnter',TMethod(@ComponentsMouseEnter))
 else
   GrabMouseEnterEvents(self,@ComponentsMouseEnter);
end;

end.

